import { hasOwnProperty } from './hasOwn';
export default function pick(obj, keys) {
    if (obj === null || obj === undefined) {
        return {};
    }
    return keys.reduce(function (acc, k) {
        if (hasOwnProperty(obj, k)) {
            acc[k] = obj[k];
        }
        return acc;
    }, {});
}
